Subject: bug#538 closed by [email-masked] (#538: fixed in src:eudev version 3.2.9-9)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Sun, 28 Feb 2021 18:33:30 +0000

This is an automatic notification regarding your bug report
which was filed against the eudev package:

#538: eudev: error message while booting a machine with btrfs

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
538: https://bugs.devuan.org/cgi/bugreport.cgi?bug=538
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #538: fixed in src:eudev version 3.2.9-9
From: [email-masked]
To: [email-masked]
Date: Sun, 28 Feb 2021 18:15:17 +0000

Version: 3.2.9-9

Source package eudev (3.2.9-9) added to Devuan suite unstable.

This closes bug report 538.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Fri, 26 Feb 2021 13:49:24 +0100
Source: eudev
Architecture: source
Version: 3.2.9-9
Distribution: unstable
Urgency: medium
Maintainer: Devuan Dev Team <[email-masked]>
Changed-By: Svante Signell <[email-masked]>
Closes: 527 538 548
Changes:
 eudev (3.2.9-9) unstable; urgency=medium
 .
   * debian/rules: Add --bindir=/bin to CONFFLAGS to fix path in 64-btrfs.rules.
     Problem found upstream: https://bugs.gentoo.org/739268 (Closes: #527, #538)
   * debian/eudev.postinst: Fix postinst when input, kvm or render groups, with
     gid >= 1000 are present. Solution proposed by Bob Proulx <[email-masked]>
     (Closes: #548)
Checksums-Sha1:
 e390dd847746a1d010e72b83b784ad383ae54e2a 2345 eudev_3.2.9-9.dsc
 fd2e0f54064a9f057016246749054007ab52fa0a 62368 eudev_3.2.9-9.debian.tar.xz
 e7cb1a0ec0259c408de7dd9c7462090277f66a86 5154 eudev_3.2.9-9_source.buildinfo
Checksums-Sha256:
 fe8b82f8727eea2e65ac3ab296a1971c5544380dc17064b21b0d3eea2d7a9b98 2345 eudev_3.2.9-9.dsc
 69a0b9b8187f061fbc3b4365a294f2c9a8676fbeba35b1a2b7cbae827a8f7191 62368 eudev_3.2.9-9.debian.tar.xz
 13b4a65fb342fa91c9da0c0dac342e5c556bb69b8a199232b856883b48e4aedd 5154 eudev_3.2.9-9_source.buildinfo
Files:
 253dcad1ff87a0862224435eb81ef6fc 2345 admin optional eudev_3.2.9-9.dsc
 665699c5a11e75f67223f9e13e9bcf46 62368 admin optional eudev_3.2.9-9.debian.tar.xz
 900fc1146f86b024c22cfcce7f8f189c 5154 admin optional eudev_3.2.9-9_source.buildinfo

Subject: eudev: error message while booting a machine with btrfs
From: Wilfried Klaebe <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Mon, 11 Jan 2021 17:31:25 +0100

Package: eudev
Version: 3.2.9-8
Severity: normal

Dear Maintainer,

   * What led up to the situation?

While booting a machine with BTRFS, this error message appeared:

Waiting for /dev to be fully populated...[    5.637002] udevd[458]: failed to execute '/lib/udev/${exec_prefix}/bin/udevadm' '${exec_prefix}/bin/udevadm trigger -s block -p ID_BTRFS_READY=0': No such file or directory

   * What outcome did you expect instead?

This error message not appearing.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

I traced this back to /lib/udev/rules.d/64-btrfs.rules, line 14:

ENV{ID_BTRFS_READY}=="1", RUN+="${exec_prefix}/bin/udevadm trigger -s block -p ID_BTRFS_READY=0"

Removing the '${exec_prefix}' makes the error message go away. I do not see any negative impact.

I have looked at https://git.devuan.org/devuan/eudev/src/branch/master/rules/64-btrfs.rules.in
but have no idea what to replace @bindir@ with to resolve this.

Best regards

Wilfried

-- Package-specific info:

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.9.0-5-amd64 (SMP w/2 CPU threads)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages eudev depends on:
ii  adduser      3.118
ii  debconf      1.5.74
ii  libblkid1    2.36.1-3+devuan1
ii  libc6        2.31-6
ii  libeudev1    3.2.9-8
ii  libkmod2     27+20200310-2
ii  libselinux1  3.1-2+b2
ii  lsb-base     11.1.0
ii  procps       2:3.3.16-5+devuan1
ii  util-linux   2.36.1-3+devuan1

eudev recommends no packages.

eudev suggests no packages.

-- no debconf information